Loading...
Searching...
No Matches
EclThermalConductionLawMultiplexerParams.hpp File Reference

The default implementation of a parameter object for the ECL thermal law. More...

`#include "EclThconrLawParams.hpp"`
`#include "EclThcLawParams.hpp"`
`#include <opm/material/common/EnsureFinalized.hpp>`
`#include <cassert>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

class | Opm::EclThermalConductionLawMultiplexerParams< ScalarT >
| The default implementation of a parameter object for the ECL thermal law. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Enumerations

enum class | EclThermalConductionApproach { Undefined , Thconr , Thc , Null }

## Detailed Description

The default implementation of a parameter object for the ECL thermal law.